
#define CoreDebug 1


#ifdef CoreDebug

	void CoreAssert(short, char *, char *, short);
	
	#define Assert(x)	if(!(x)) CoreAssert((short)(x),#x, __FILE__, __LINE__)
	#define ASSERT(x)	if(!(x)) CoreAssert((short)(x),#x, __FILE__, __LINE__)
	#define AssertErr(x) if(x) CoreAssert((short)(x),#x, __FILE__, __LINE__)
#else
	#define Assert		//
	#define ASSERT		//
	#define AssertErr 	//

#endif
